Bug 966352 - jetty-websocket is not obsoleted
jetty-websocket is not obsoleted
Product: Fedora
Classification: Fedora
Component: jetty (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Srb
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-05-23 02:35 EDT by Alexander Kurtakov
Modified: 2013-06-07 00:35 EDT (History)
8 users (show)

See Also:
Fixed In Version: jetty-9.0.3-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-06-07 00:35:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexander Kurtakov 2013-05-23 02:35:43 EDT
After updating to F19 jetty-websocket-8.1.5-6.fc18.noarch remains on the system. The reason for that is that there are multiple jetty-websocket-* packages but none of them obsoletes jetty-websocket.
Comment 1 Miroslav Suchý 2013-05-23 10:15:12 EDT
And it fails yum transaction when upgrading using yum:
Error: Package: jetty-websocket-8.1.5-6.fc18.noarch (@fedora/18)
           Requires: jetty-io = 8.1.5-6.fc18
           Removing: jetty-io-8.1.5-6.fc18.noarch (@fedora/18)
               jetty-io = 8.1.5-6.fc18
           Updated By: jetty-io-9.0.3-1.fc19.noarch (fedora)
               jetty-io = 9.0.3-1.fc19
Comment 2 Fedora Update System 2013-05-23 10:28:52 EDT
jetty-9.0.3-2.fc19 has been submitted as an update for Fedora 19.
Comment 3 Fedora Update System 2013-05-23 15:59:22 EDT
Package jetty-9.0.3-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jetty-9.0.3-2.fc19'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-05-29 03:56:58 EDT
jetty-9.0.3-3.fc19 has been submitted as an update for Fedora 19.
Comment 5 Fedora Update System 2013-06-07 00:35:09 EDT
jetty-9.0.3-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.